Bug 188523 - net/liferea : update to 1.10.8
net/liferea : update to 1.10.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Koop Mast
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-12 18:00 UTC by cmt
Modified: 2014-06-20 17:09 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cmt 2014-04-12 18:00:01 UTC
	the 1.8 branch of liferea seems to be unsupported/unmaintained, so let's
	switch to to 1.10 branch - I'm using it for some time now and it seems
	to "work quite good for me".

Fix: MASTER_SITE has changed, liferea is now hosted at github, see
http://lzone.de/liferea/blog

svn status:
M       Makefile
M       distinfo
A       files
A       files/patch-fl_sources-json_api_mapper.c
M       pkg-plist

svn diff:


Regards,
Christoph--Ja1ChgG4yvZJyy01YBaTHk0zLILexEg9y0jjAQIEh6lLYFiw
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 351108)
+++ Makefile	(working copy)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	liferea
-PORTVERSION=	1.8.15
+PORTVERSION=	1.10.8
 CATEGORIES=	net gnome
-MASTER_SITES=	SF/${PORTNAME}/Liferea%20Stable/${PORTVERSION}
+MASTER_SITES=	https://github.com/lwindolf/${PORTNAME}/releases/download/v${PORTVERSION}/
 
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	Simple RSS/RDF feed reader
@@ -11,7 +11,8 @@
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	libwebkitgtk-1.0.so:${PORTSDIR}/www/webkit-gtk2 \
+LIB_DEPENDS=	libwebkitgtk-3.0.so:${PORTSDIR}/www/webkit-gtk3 \
+		libpeas-gtk-1.0.so:${PORTSDIR}/devel/libpeas \
 		libunique-1.0.so:${PORTSDIR}/x11-toolkits/unique \
 		libjson-glib-1.0.so:${PORTSDIR}/devel/json-glib
 
@@ -25,7 +26,8 @@
 INSTALL_TARGET=	install-strip
 CONFIGURE_ARGS=	--disable-libnotify --disable-libindicate
 
-GCONF_SCHEMAS=	liferea.schemas
+MANLANG=		"" pl
+GLIB_SCHEMAS=	net.sf.liferea.gschema.xml
 INSTALLS_ICONS=	yes
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
--- distinfo	(revision 351108)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (liferea-1.8.15.tar.bz2) = 2931db4454a37ce5ec2d9fd46e7a94ef6d72e986b0dda35bca9bf1b80a6d108a
-SIZE (liferea-1.8.15.tar.bz2) = 1369873
+SHA256 (liferea-1.10.8.tar.bz2) = 9dd7cb09f624c2f2765aadb139278f635032c9edd05d20a2b2405690546571b4
+SIZE (liferea-1.10.8.tar.bz2) = 1430531
Index: files/patch-fl_sources-json_api_mapper.c
===================================================================
--- files/patch-fl_sources-json_api_mapper.c	(revision 0)
+++ files/patch-fl_sources-json_api_mapper.c	(working copy)
@@ -0,0 +1,29 @@
+--- src/fl_sources/json_api_mapper.c.orig	2014-02-08 13:35:29.000000000 +0100
++++ src/fl_sources/json_api_mapper.c	2014-02-08 13:36:09.000000000 +0100
+@@ -55,7 +55,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');
+@@ -74,7 +74,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');
+@@ -93,7 +93,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 351108)
+++ pkg-plist	(working copy)
@@ -1,16 +1,22 @@
 bin/liferea
 bin/liferea-add-feed
+lib/liferea/girepository-1.0/Liferea-3.0.typelib
+lib/liferea/plugins/gnome-keyring.plugin
+lib/liferea/plugins/gnome-keyring.py
+lib/liferea/plugins/media-player.plugin
+lib/liferea/plugins/media-player.py
 man/man1/liferea.1.gz
 man/pl/man1/liferea.1.gz
+share/GConf/gsettings/liferea.convert
+share/appdata/liferea.appdata.xml
 share/applications/liferea.desktop
+share/icons/hicolor/16x16/apps/liferea.png
+share/icons/hicolor/22x22/apps/liferea.png
+share/icons/hicolor/24x24/apps/liferea.png
+share/icons/hicolor/32x32/apps/liferea.png
+share/icons/hicolor/48x48/apps/liferea.png
+share/icons/hicolor/scalable/apps/liferea.svg
 share/liferea/auth.ui
-share/liferea/google_source.ui
-share/liferea/liferea.ui
-share/liferea/new_subscription.ui
-share/liferea/node_source.ui
-share/liferea/opml_source.ui
-share/liferea/simple_subscription.ui
-share/liferea/ttrss_source.ui
 share/liferea/css/adblock.css
 share/liferea/css/liferea.css
 share/liferea/css/user.css
@@ -24,8 +30,6 @@
 share/liferea/doc/html/faq_en.html
 share/liferea/doc/html/folders_de.html
 share/liferea/doc/html/folders_en.html
-share/liferea/doc/html/greader_de.html
-share/liferea/doc/html/greader_en.html
 share/liferea/doc/html/headlines_de.html
 share/liferea/doc/html/headlines_en.html
 share/liferea/doc/html/help_feed_default.png
@@ -51,6 +55,8 @@
 share/liferea/doc/html/help_vfolder_1.6.0.png
 share/liferea/doc/html/newsbin_de.html
 share/liferea/doc/html/newsbin_en.html
+share/liferea/doc/html/onlineservices_de.html
+share/liferea/doc/html/onlineservices_en.html
 share/liferea/doc/html/preferences_de.html
 share/liferea/doc/html/preferences_en.html
 share/liferea/doc/html/reference.css
@@ -65,6 +71,12 @@
 share/liferea/doc/html/updating_de.html
 share/liferea/doc/html/updating_en.html
 share/liferea/dtd/html.ent
+share/liferea/gir-1.0/Liferea-3.0.gir
+share/liferea/google_source.ui
+share/liferea/inoreader_source.ui
+share/liferea/liferea.ui
+share/liferea/new_subscription.ui
+share/liferea/node_source.ui
 share/liferea/opml/feedlist_bg.opml
 share/liferea/opml/feedlist_ca.opml
 share/liferea/opml/feedlist_de.opml
@@ -82,6 +94,7 @@
 share/liferea/opml/feedlist_pt_BR.opml
 share/liferea/opml/feedlist_sk.opml
 share/liferea/opml/feedlist_sv.opml
+share/liferea/opml_source.ui
 share/liferea/pixmaps/attachment.png
 share/liferea/pixmaps/available.png
 share/liferea/pixmaps/available_offline.png
@@ -97,19 +110,18 @@
 share/liferea/pixmaps/newsbin.png
 share/liferea/pixmaps/unread.png
 share/liferea/pixmaps/vfolder.png
+share/liferea/prefs.ui
+share/liferea/reedah_source.ui
+share/liferea/simple_subscription.ui
+share/liferea/theoldreader_source.ui
+share/liferea/ttrss_source.ui
 share/liferea/xslt/feed.xml
 share/liferea/xslt/folder.xml
+share/liferea/xslt/i18n-filter.xslt
 share/liferea/xslt/item.xml
-share/liferea/xslt/i18n-filter.xslt
 share/liferea/xslt/newsbin.xml
 share/liferea/xslt/source.xml
 share/liferea/xslt/vfolder.xml
-share/icons/hicolor/16x16/apps/liferea.png
-share/icons/hicolor/22x22/apps/liferea.png
-share/icons/hicolor/24x24/apps/liferea.png
-share/icons/hicolor/32x32/apps/liferea.png
-share/icons/hicolor/48x48/apps/liferea.png
-share/icons/hicolor/scalable/apps/liferea.svg
 share/locale/ar/LC_MESSAGES/liferea.mo
 share/locale/ast/LC_MESSAGES/liferea.mo
 share/locale/be@latin/LC_MESSAGES/liferea.mo
@@ -146,9 +158,14 @@
 share/locale/vi/LC_MESSAGES/liferea.mo
 share/locale/zh_CN/LC_MESSAGES/liferea.mo
 share/locale/zh_TW/LC_MESSAGES/liferea.mo
+@dirrmtry share/locale/be@latin/LC_MESSAGES
+@dirrmtry share/locale/be@latin
+@dirrmtry share/locale/ast/LC_MESSAGES
+@dirrmtry share/locale/ast
 @dirrm share/liferea/xslt
 @dirrm share/liferea/pixmaps
 @dirrm share/liferea/opml
+@dirrm share/liferea/gir-1.0
 @dirrm share/liferea/dtd
 @dirrm share/liferea/doc/html
 @dirrm share/liferea/doc
@@ -156,3 +173,7 @@
 @dirrm share/liferea
 @dirrmtry man/pl/man1
 @dirrmtry man/pl
+@dirrmtry share/applications
+@dirrm lib/liferea/plugins
+@dirrm lib/liferea/girepository-1.0
+@dirrm lib/liferea
Comment 1 Edwin Groothuis freebsd_committer 2014-04-12 18:00:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-04-28 12:12:33 UTC
Author: kwm
Date: Mon Apr 28 11:12:29 2014
New Revision: 352482
URL: http://svnweb.freebsd.org/changeset/ports/352482
QAT: https://qat.redports.org/buildarchive/r352482/

Log:
  Update to 1.10.8.
  
  PR:		ports/188523 (developed in parallel)
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>

Added:
  head/net/liferea/files/
  head/net/liferea/files/patch-src_fl-sources_json-api-mapper.c   (contents, props changed)
Modified:
  head/net/liferea/Makefile
  head/net/liferea/distinfo
  head/net/liferea/pkg-plist

Modified: head/net/liferea/Makefile
==============================================================================
--- head/net/liferea/Makefile	Mon Apr 28 11:02:23 2014	(r352481)
+++ head/net/liferea/Makefile	Mon Apr 28 11:12:29 2014	(r352482)
@@ -2,23 +2,26 @@
 # $FreeBSD$
 
 PORTNAME=	liferea
-PORTVERSION=	1.8.15
+PORTVERSION=	1.10.8
 PORTREVISION=	1
 CATEGORIES=	net gnome
-MASTER_SITES=	SF/${PORTNAME}/Liferea%20Stable/${PORTVERSION}
+MASTER_SITES=	https://github.com/lwindolf/liferea/releases/download/v${PORTVERSION}/ \
+		http://rainbow-runner.nl/~kwm/distfiles/
 
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	Simple RSS/RDF feed reader
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	libwebkitgtk-1.0.so:${PORTSDIR}/www/webkit-gtk2 \
-		libunique-1.0.so:${PORTSDIR}/x11-toolkits/unique \
+BUILD_DEPENDS=	gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
+LIB_DEPENDS=	libwebkitgtk-3.0.so:${PORTSDIR}/www/webkit-gtk3 \
+		libpeas-1.0.so:${PORTSDIR}/devel/libpeas \
 		libjson-glib-1.0.so:${PORTSDIR}/devel/json-glib
+RUN_DEPENDS=	gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
 
-USES=		desktop-file-utils libtool gmake pathfix pkgconfig \
+USES=		desktop-file-utils gmake libtool pathfix pkgconfig \
 		tar:bzip2
-USE_GNOME=	gnomeprefix gconf2
+USE_GNOME=	gnomeprefix gtk30 introspection:build libxslt:build libxml2
 USE_SQLITE=	3
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -26,7 +29,7 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 INSTALL_TARGET=	install-strip
 CONFIGURE_ARGS=	--disable-libnotify --disable-libindicate
 
-GCONF_SCHEMAS=	liferea.schemas
+GLIB_SCHEMAS=	net.sf.liferea.gschema.xml
 INSTALLS_ICONS=	yes
 
 .include <bsd.port.mk>

Modified: head/net/liferea/distinfo
==============================================================================
--- head/net/liferea/distinfo	Mon Apr 28 11:02:23 2014	(r352481)
+++ head/net/liferea/distinfo	Mon Apr 28 11:12:29 2014	(r352482)
@@ -1,2 +1,2 @@
-SHA256 (liferea-1.8.15.tar.bz2) = 2931db4454a37ce5ec2d9fd46e7a94ef6d72e986b0dda35bca9bf1b80a6d108a
-SIZE (liferea-1.8.15.tar.bz2) = 1369873
+SHA256 (liferea-1.10.8.tar.bz2) = 9dd7cb09f624c2f2765aadb139278f635032c9edd05d20a2b2405690546571b4
+SIZE (liferea-1.10.8.tar.bz2) = 1430531

Added: head/net/liferea/files/patch-src_fl-sources_json-api-mapper.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/liferea/files/patch-src_fl-sources_json-api-mapper.c	Mon Apr 28 11:12:29 2014	(r352482)
@@ -0,0 +1,29 @@
+--- src/fl_sources/json_api_mapper.c.orig	2014-04-11 22:59:09.000000000 +0200
++++ src/fl_sources/json_api_mapper.c	2014-04-11 23:00:05.000000000 +0200
+@@ -55,7 +55,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');
+@@ -74,7 +74,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');
+@@ -93,7 +93,7 @@
+ 	const gchar	*field;
+ 
+ 	if (!node || !mapping)
+-		return;
++		return NULL;
+ 
+ 	node = json_api_get_node (parent, mapping);
+ 	field = strrchr (mapping, '/');

Modified: head/net/liferea/pkg-plist
==============================================================================
--- head/net/liferea/pkg-plist	Mon Apr 28 11:02:23 2014	(r352481)
+++ head/net/liferea/pkg-plist	Mon Apr 28 11:12:29 2014	(r352482)
@@ -1,16 +1,22 @@
 bin/liferea
 bin/liferea-add-feed
+lib/liferea/girepository-1.0/Liferea-3.0.typelib
+lib/liferea/plugins/gnome-keyring.plugin
+lib/liferea/plugins/gnome-keyring.py
+lib/liferea/plugins/media-player.plugin
+lib/liferea/plugins/media-player.py
 man/man1/liferea.1.gz
 man/pl/man1/liferea.1.gz
+share/GConf/gsettings/liferea.convert
+share/appdata/liferea.appdata.xml
 share/applications/liferea.desktop
+share/icons/hicolor/16x16/apps/liferea.png
+share/icons/hicolor/22x22/apps/liferea.png
+share/icons/hicolor/24x24/apps/liferea.png
+share/icons/hicolor/32x32/apps/liferea.png
+share/icons/hicolor/48x48/apps/liferea.png
+share/icons/hicolor/scalable/apps/liferea.svg
 share/liferea/auth.ui
-share/liferea/google_source.ui
-share/liferea/liferea.ui
-share/liferea/new_subscription.ui
-share/liferea/node_source.ui
-share/liferea/opml_source.ui
-share/liferea/simple_subscription.ui
-share/liferea/ttrss_source.ui
 share/liferea/css/adblock.css
 share/liferea/css/liferea.css
 share/liferea/css/user.css
@@ -24,8 +30,6 @@ share/liferea/doc/html/faq_de.html
 share/liferea/doc/html/faq_en.html
 share/liferea/doc/html/folders_de.html
 share/liferea/doc/html/folders_en.html
-share/liferea/doc/html/greader_de.html
-share/liferea/doc/html/greader_en.html
 share/liferea/doc/html/headlines_de.html
 share/liferea/doc/html/headlines_en.html
 share/liferea/doc/html/help_feed_default.png
@@ -51,6 +55,8 @@ share/liferea/doc/html/help_subscribe_1.
 share/liferea/doc/html/help_vfolder_1.6.0.png
 share/liferea/doc/html/newsbin_de.html
 share/liferea/doc/html/newsbin_en.html
+share/liferea/doc/html/onlineservices_de.html
+share/liferea/doc/html/onlineservices_en.html
 share/liferea/doc/html/preferences_de.html
 share/liferea/doc/html/preferences_en.html
 share/liferea/doc/html/reference.css
@@ -65,6 +71,12 @@ share/liferea/doc/html/topics_en.html
 share/liferea/doc/html/updating_de.html
 share/liferea/doc/html/updating_en.html
 share/liferea/dtd/html.ent
+share/liferea/gir-1.0/Liferea-3.0.gir
+share/liferea/google_source.ui
+share/liferea/inoreader_source.ui
+share/liferea/liferea.ui
+share/liferea/new_subscription.ui
+share/liferea/node_source.ui
 share/liferea/opml/feedlist_bg.opml
 share/liferea/opml/feedlist_ca.opml
 share/liferea/opml/feedlist_de.opml
@@ -82,6 +94,7 @@ share/liferea/opml/feedlist_pt.opml
 share/liferea/opml/feedlist_pt_BR.opml
 share/liferea/opml/feedlist_sk.opml
 share/liferea/opml/feedlist_sv.opml
+share/liferea/opml_source.ui
 share/liferea/pixmaps/attachment.png
 share/liferea/pixmaps/available.png
 share/liferea/pixmaps/available_offline.png
@@ -97,19 +110,18 @@ share/liferea/pixmaps/grayflag.png
 share/liferea/pixmaps/newsbin.png
 share/liferea/pixmaps/unread.png
 share/liferea/pixmaps/vfolder.png
+share/liferea/prefs.ui
+share/liferea/reedah_source.ui
+share/liferea/simple_subscription.ui
+share/liferea/theoldreader_source.ui
+share/liferea/ttrss_source.ui
 share/liferea/xslt/feed.xml
 share/liferea/xslt/folder.xml
-share/liferea/xslt/item.xml
 share/liferea/xslt/i18n-filter.xslt
+share/liferea/xslt/item.xml
 share/liferea/xslt/newsbin.xml
 share/liferea/xslt/source.xml
 share/liferea/xslt/vfolder.xml
-share/icons/hicolor/16x16/apps/liferea.png
-share/icons/hicolor/22x22/apps/liferea.png
-share/icons/hicolor/24x24/apps/liferea.png
-share/icons/hicolor/32x32/apps/liferea.png
-share/icons/hicolor/48x48/apps/liferea.png
-share/icons/hicolor/scalable/apps/liferea.svg
 share/locale/ar/LC_MESSAGES/liferea.mo
 share/locale/ast/LC_MESSAGES/liferea.mo
 share/locale/be@latin/LC_MESSAGES/liferea.mo
@@ -146,9 +158,14 @@ share/locale/uk/LC_MESSAGES/liferea.mo
 share/locale/vi/LC_MESSAGES/liferea.mo
 share/locale/zh_CN/LC_MESSAGES/liferea.mo
 share/locale/zh_TW/LC_MESSAGES/liferea.mo
+@dirrmtry share/locale/be@latin/LC_MESSAGES
+@dirrmtry share/locale/be@latin
+@dirrmtry share/locale/ast/LC_MESSAGES
+@dirrmtry share/locale/ast
 @dirrm share/liferea/xslt
 @dirrm share/liferea/pixmaps
 @dirrm share/liferea/opml
+@dirrm share/liferea/gir-1.0
 @dirrm share/liferea/dtd
 @dirrm share/liferea/doc/html
 @dirrm share/liferea/doc
@@ -156,3 +173,7 @@ share/locale/zh_TW/LC_MESSAGES/liferea.m
 @dirrm share/liferea
 @dirrmtry man/pl/man1
 @dirrmtry man/pl
+@dirrmtry share/appdata
+@dirrm lib/liferea/plugins
+@dirrm lib/liferea/girepository-1.0
+@dirrm lib/liferea
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2014-04-28 12:12:52 UTC
State Changed
From-To: open->closed

Committed a more complete version, Thanks!